.t-wrapper {
  position: relative;
  z-index: 1;
  padding: 10px;
  height: 100vh;
  background: #ECEBF3;

  --sidebar-width: 25rem;
  --header-height: 9rem;
  --sticky-footer-height: 8rem;

  &[data-expand="false"] {
    --sidebar-width: 10rem;
    .t-wrapper {

      &__header {
        padding: 0;
      }
    }
  }

  &__sidebar {
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 100;
    width: var(--sidebar-width);
    height: calc(100% - 20px);
    transition: width 0.25s;
  }

  &__right{
    transition: width 0.25s;
    position: fixed;
    top: 10px;
    right: 10px;
    flex: none;
    width: calc(100% - var(--sidebar-width) - 3rem);
    border-radius: 24px 24px 0px 0px;
    height: calc(100% - 10px);
    overflow: hidden;
  }

  &__header {
    width: 100%;
    height: var(--header-height);
    padding: 0;
    transition: padding 0.25s;
  }

  &__main {
    width: 100%;
    overflow: auto;
    background: #F7F8FC;
    height: calc(100% - var(--header-height));
    padding: 20px;
    display: flex;
    flex-direction: column;
    position: relative;

    &:has(.o-sticky-footer__container) {
        padding-bottom: calc(var(--sticky-footer-height) + 20px);
    }
  }

  &.has-sticky-footer {
    .t-wrapper__main {
        padding-bottom: calc(var(--sticky-footer-height) + 20px);
    }
  }
  &.new-styles-css{
    .t-wrapper__right{
      max-height: calc(100vh - 10px);
      .t-wrapper__main{
        padding: 0;
        overflow: hidden;
        max-height: calc(100vh - var(--header-height) - 10px);
      }
    }
    
  }
  &.padding-20{
    .t-wrapper__main{
      padding: 20px !important;
    }
  }
//   .o-sticky-footer  {
//     position: sticky;
//     bottom: 0;
//     transform: translateY(20px);
//     width: calc(100% + 40px);
//     margin-left: -20px;
//     margin-top: auto;
//   }
}

.background-print-pdf {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  z-index: 1000;
  background-color: #404040;
}